#!/usr/bin/perl
#!/usr/bin/perl -d:ptkdb

###############################################################################
#
# translate.pl -  Translation fuer MK Datensaetze
#
# Copyright (C) 2009  Rainer Walther  (rainerwalther-mail@web.de)
#
# Creative Commons Lizenz mit den Zusaetzen (by, nc, sa)
#
# Es ist Ihnen gestattet: 
#     * das Werk vervielfltigen, verbreiten und ffentlich zugnglich machen
#     * Abwandlungen bzw. Bearbeitungen des Inhaltes anfertigen
# 
# Zu den folgenden Bedingungen:
#     * Namensnennung.
#       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
#     * Keine kommerzielle Nutzung.
#       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
#     * Weitergabe unter gleichen Bedingungen.
#       Wenn Sie den lizenzierten Inhalt bearbeiten oder in anderer Weise umgestalten,
#       verndern oder als Grundlage fr einen anderen Inhalt verwenden,
#       drfen Sie den neu entstandenen Inhalt nur unter Verwendung von Lizenzbedingungen
#       weitergeben, die mit denen dieses Lizenzvertrages identisch oder vergleichbar sind.
# 
# Im Falle einer Verbreitung mssen Sie anderen die Lizenzbedingungen, unter welche dieses
# Werk fllt, mitteilen. Am Einfachsten ist es, einen Link auf diese Seite einzubinden.
# 
# Jede der vorgenannten Bedingungen kann aufgehoben werden, sofern Sie die Einwilligung
# des Rechteinhabers dazu erhalten.
# 
# Diese Lizenz lsst die Urheberpersnlichkeitsrechte unberhrt.
# 
# Weitere Details zur Lizenzbestimmung gibt es hier:
#   Kurzform: http://creativecommons.org/licenses/by-nc-sa/3.0/de/
#   Komplett: http://creativecommons.org/licenses/by-nc-sa/3.0/de/legalcode
#
###############################################################################
#
# 2009-02-23 0.0.1 rw created
# 2009-04-01 0.1.0 rw RC1
# 2009-05-06 0.1.1 rw NC 0.15c
# 2009-05-17 0.1.2 rw Waypoint Player
# 2009-06-11 0.1.3 rw DE/EN support. English by Mark Griffin
# 2009-07-25 0.1.4 rw KML Player
# 2009-07-26 0.1.5 rw MK System messages
# 2009-08-08 0.1.7 rw TTS
# 2009-09-05 0.1.8 rw POI
# 2009-10-05 0.1.9 rw Servo Speed, Neutral
#                     MK Sim
#
###############################################################################

$Version{'translate.pl'} = "0.1.9 - 2009-10-08";

use Win32::Locale;    # http://search.cpan.org/~sburke/Win32-Locale-0.04/Locale.pm

%Translate_DE = (
    # NC Debug
    "Analog_00"      => "Angel Nick",
    "Analog_01"      => "Angel Roll",
    "Analog_02"      => "ACC Nick",
    "Analog_03"      => "ACC Roll",
    "Analog_05"      => "MK-Flags",
    "Analog_06"      => "NC-Flags",
    "Analog_09"      => "GPS Data",
    "Analog_10"      => "Compass Heading",
    "Analog_11"      => "Gyro Heading",
    "Analog_12"      => "SPI Error",
    "Analog_13"      => "SPI OK",
    "Analog_14"      => "I2C Error",
    "Analog_15"      => "I2C OK",
    "Analog_16"      => "FC Kalman K",
    "Analog_17"      => "ACC Speed North",
    "Analog_18"      => "ACC Speed East",
    "Analog_19"      => "GPS ACC",
    "Analog_20"      => "Max Drift",
    "Analog_21"      => "Speed North",
    "Analog_22"      => "Speed East",
    "Analog_23"      => "P-Part",
    "Analog_24"      => "I-Part",
    "Analog_25"      => "D-Part",
    "Analog_26"      => "PID-Part",
    "Analog_27"      => "Distance North",
    "Analog_28"      => "Distance East",
    "Analog_29"      => "GPS Nick",
    "Analog_30"      => "GPS Roll",
    "Analog_31"      => "Empfangene Satellitten",
   
    # NC OSD
    "Altimeter"             => "Hhe (Luftdruck)",
    "AngleNick"             => "Winkel Nick",
    "AngleRoll"             => "Winkel Roll",
    "CompassHeading"        => "Richtung Kompass",
    "CurPos_Alt"            => "Position Hhe",
    "CurPos_Lat"            => "Position Latitude",
    "CurPos_Lon"            => "Position Longitude",
    "CurPos_Stat"           => "Position Status",
    "Errorcode"             => "Fehler Code",
    "FlyingTime"            => "Flugzeit",
    "GroundSpeed"           => "Geschw. ber Grund",
    "Heading"               => "Richtung",
    "HomePosDev_Bearing"    => "Homepos. Richtung",
    "HomePosDev_Dist"       => "Homepos. Entfernung",
    "HomePos_Alt"           => "Homepos. Hhe",
    "HomePos_Lat"           => "Homepos. Latitude",
    "HomePos_Lon"           => "Homepos. Longitude",
    "HomePos_Stat"          => "Homepos. Status",
    "MKFlags"               => "MK Flags",
    "NCFlags"               => "NC Flags",
    "OperatingRadius"       => "Operating Radius",
    "RC_Quality"            => "RC Signalstrke",
    "SatsInUse"             => "Empfangene Satellitten",
    "TargetHoldTime"        => "Wartezeit am Ziel",
    "TargetPosDev_Bearing"  => "Ziel Richtung",
    "TargetPosDev_Dist"     => "Ziel Entfernung",
    "TargetPos_Alt"         => "Ziel Hhe",
    "TargetPos_Lat"         => "Ziel Latitude",
    "TargetPos_Lon"         => "Ziel Longitude",
    "TargetPos_Stat"        => "Ziel Status",
    "TopSpeed"              => "Geschwindigkeit vertikal",
    "UBat"                  => "Batterie Spannung",
    "Variometer"            => "Variometer",
    "WaypointIndex"         => "Wegpunkt Index",
    "WaypointNumber"        => "Wegpunkt Nummer",
    "_Timestamp"            => "_Zeitstempel",

    # NC Target
    "EventFlag"             => "Event Flag",
    "Richtung"              => "Richtung",
    "HoldTime"              => "Wartezeit",
    "Pos_Alt"               => "Position Hhe",
    "Pos_Lat"               => "Position Latitude",
    "Pos_Lon"               => "Position Longitude",
    "Pos_Stat"              => "Position Status",
    "ToleranceRadius"       => "Toleranz Radius",

    # Configuration
    "geserver"              => "Google Earth Server",
    "logging"               => "Logging",
    "map"                   => "Karte",
    "mkcockpit"             => "Mission Cockpit",
    "mkcomm"                => "MK Kommunikation",
    "Port"                  => "Port *",
    "PortSetSkip"           => "Keine Port Parameter (Y fr BT) *",
    "track"                 => "Tracking Antenne",
    "waypoint"              => "Wegpunkte",
    "HttpPort"              => "HTTP Port *",
    "CsvLogDir"             => "CSV Log-Verzeichnis *",
    "GpxLogDir"             => "GPX Log-Verzeichnis *",
    "KmlLogDir"             => "KML Log-Verzeichnis *",
    "MapDefault"            => "Kartendefinition Hintergrundbild *",
    "MapDir"                => "Verzeichnis fuer Karten *",
    "Active"                => "Aktiv *",
    "AltFactor"             => "Faktor Hhe(Luftdruck) nach Meter",
    "DefaultEventFlag"      => "Default Event-Flag",
    "DefaultHeading"        => "Default Heading",
    "DefaultHoldtime"       => "Default Holdtime",
    "DefaultToleranceRadius"=> "Default Toleranz Radius",
    "WpDir"                 => "Verzeichnis Wegpunkte *",
    "ColorAirfield"         => "Farbe Flugfeldbegrenzung *",
    "ColorHomeDist"         => "Farbe Text Entfernung Home *",
    "ColorHomeLine"         => "Farbe Linie Entfernung Home *",
    "ColorKmlTrack"         => "Farbe KML Spur",
    "ColorMkSatGood"        => "Farbe MK guter Sat-Empfang",
    "ColorMkSatLow"         => "Farbe MK schlechter Sat-Empfang",
    "ColorMkSatNo"          => "Farbe MK kein Sat-Empfang",
    "ColorOsd"              => "Farbe OSD *",
    "ColorSpeedVector"      => "Farbe Speed-Vektor *",
    "ColorTargetDist"       => "Farbe Text Entfernung Ziel *",
    "ColorTargetLine"       => "Farbe Linie Entfernung Ziel *",
    "ColorVariometer"       => "Farbe Variometer-Skala *",
    "ColorVariometerPointer"=> "Farbe Variometer-Zeiger *",
    "ColorWpConnector"      => "Farbe Wegpunkt-Connector",
    "ColorWpResend"         => "Farbe Wp-Conn. geaendert",
    "ColorWpNumber"         => "Farbe Wegpunkt Nummer",
    "ColorFootprint"        => "Farbe Footprint",
    "FootprintLength"       => "Lnge Footprint (in s)",
    "IconFox"               => "Icon Fuchsjagd *",
    "IconHeartLarge"        => "Icon Heartbeat gross *",
    "IconHeartSmall"        => "Icon Heartbeat klein *",
    "IconSatellite"         => "Icon Satellit *",
    "IconTarget"            => "Icon Ziel *",
    "IconWaypoint"          => "Icon Wegpunkt *",
    "Intervall"             => "Intervall (in s) *", 
    "UBatWarning"           => "Batterie Warnung (in V) ",
    "IconFirst"             => "Icon erster WP *",
    "IconHome"              => "Icon Home *",
    "IconLast"              => "Icon letzter WP *",
    "IconNext"              => "Icon nchster WP *",
    "IconPause"             => "Icon Pause *",
    "IconPlay"              => "Icon Play *",
    "IconPrev"              => "Icon vorheriger WP *",
    "IconStop"              => "Icon Stop WP-Player *",
    "KmlDir"                => "Verzeichnis KML-Files *",
    "KmlTimeBase"           => "KML Player Zeitbasis (s) *",
    "PauseMoveDist"         => "Pause-Verschiebe-Lnge (m) *",
    "tts"                   => "Text To Speech",
    "StartScenario"         => "Start Szenario",
    "KmlFile"               => "KML Dateiname *",  
    "WpFile"                => "Waypoint Dateiname *",  
    "PlayerMode"            => "Player Modus (Play, Pause, Home, Stop) *",
    "PlayerRandomMode"      => "Random Modus (STD, RND, MAP) *",
    "PlayerWptKmlMode"      => "Event- oder zeitgesteuert (WPT, KML) *",
    "AudioMute"             => "Audio stumm schalten (y/n) *",
    "ServoPanCtrl"          => "Servo Pan Control *",
    "ServoTiltCtrl"         => "Servo Tilt Control *",
    "ServoPanSpeed"         => "Servo Pan Speed *",
    "ServoTiltSpeed"        => "Servo Tilt Speed *",
    "ServoPanNeutral"       => "Servo Pan Mittelstellung *",
    "ServoTiltNeutral"      => "Servo Tilt Mittelstellung *",

    "IconAntenna"           => "Icon Antenne *",
    "mksim"                 => "Simulator",
    "ImageSize"             => "Gre Bild",

    # Waypoint
    "MapX"                  => "X-Position auf Karte",
    "MapY"                  => "Y-Position auf Karte",
    "Event_Flag"            => "Event Flag",
    "Holdtime"              => "Wartezeit am Wegpunkt",

    # GUI (MkCockpit.pl)
    "File"                  => "~Datei",
    "Preferences"           => "Einstellungen",
    "Exit"                  => "Ende",
    "Debug"                 => "D~ebug",
    "NcOsdDataset"          => "NC ~OSD Datensatz (O)",
    "NcTargetDataset"       => "NC ~Target Datensatz (s)",
    "NcDebugDataset"        => "NC ~Debug Datensatz (D)",
    "NcOther"               => "NC ~Sonstiges",
    "TrackingDebugDataset"  => "Tracking ~Antenne Debug Datensatz",
    "Help"                  => "~Hilfe",
    "Version"               => "Version",
    "About"                 => "ber",
    "AboutMissionCockpit"   => "ber Mission Cockpit",
    "StatusLine"            => "Statuszeile",
    "Map"                   => "Karte",
    "MapDebugDataset"       => "Map Datensatz",
    "MkDebugSim"            => "MK Simulator",
    "MkMotorRun"            => "Motor luft",
    "MkFly"                 => "Fliegt",
    "MkCalibrate"           => "Calibrierung",
    "MkStart"               => "Motor Start",
    "MkEmergency"           => "Notlandung",
    "NcFlagFree"            => "Free",
    "NcFlagPH"              => "PH",
    "NcFlagCH"              => "CH",
    "NcFlagRangeLimit"      => "Range Limit",
    "NcFlagNoSerialLink"    => "No Serial Link",
    "NcFlagTargetReached"   => "Target reached",
    "NcFlagManualControl"   => "Manual Control",
    "DataLink"              => "Daten Link",

    "Balloon-MK-Arrow"               => "MikroKopter",
    "Balloon-MK-Home-Line"           => "Hier gehts nach Hause",
    "Balloon-MK-Home-Dist"           => "Entfernung nach Hause",
    "Balloon-MK-Target-Line"         => "Hier gehts zum Ziel",
    "Balloon-MK-Target-Dist"         => "Entfernung zum Ziel",
    "Balloon-MK-Speed"               => "Geschwindigkeits-Vektor",
    "Balloon-Map-Variometer"         => "Variometer",
    "Balloon-Map-Variometer-Pointer" => "Variometer",
    "Balloon-Map-Variometer-Skala"   => "Variometer",
    "Balloon-Fox"                    => "Ziel fr Fuchsjagd",
    "Balloon-Heartbeat"              => "Aktivitt Datenbertragung zum MK",
    "Balloon-Satellite"              => "Guter Satelliten-Empfang",
    "Balloon-Waypoint"               => "Wegpunkt",
    "Balloon-Map-Border"             => "Flugplatz",
    "Balloon-Waypoint-Connector"     => "Verbinder Wegpunkte",
    "Balloon-Wp-PlayPause"           => "Play/Pause (Leertaste)",
    "Balloon-Wp-Stop"                => "Stop Player(s)",
    "Balloon-Wp-First"               => "Zum ersten Waypoint (f)",
    "Balloon-Wp-Last"                => "Zum letzten Waypoint (l)",
    "Balloon-Wp-Next"                => "Zum nchsten Waypoint (n)",
    "Balloon-Wp-Prev"                => "Zum vorgerigen Waypoint (p)",
    "Balloon-Wp-Home"                => "Zur Home-Position (h)",
    "Balloon-Wp-WptKml"              => "Waypoint oder KML Mode (w,k)",
    "Balloon-Wp-WptRandom"           => "Random Mode (r)",
    "Balloon-Wp-Record"              => "Aufnahme (a)",
    "Balloon-TrackAntenna"           => "Tracking Antenne",
    "Balloon-Poi"                    => "Point Of Interest",

    "TargetCoordSent"       => "Ziel-Koordinaten gesendet",
    "WpMoved"               => "Wegpunkt verschoben",
    "WpAddAndSend"          => "Wegpunkt hinzufgen und senden",
    "WpSavedAndSent"        => "Wegpunkt gespeichert und gesendet",
    "WpProperties"          => "Wegpunkt Eigenschaften",
    "WpResendAll"           => "Alle Wegpunkte erneut senden",
    "WpAllSent"             => "Alle Wegpunkte gesendet",
    "WpLoadAndSend"         => "Wegpunkte laden und senden",
    "WpLoad"                => "Wegpunkte laden",
    "WpLoadedAndSent"       => "Wegpunkte geladen und gesendet",
    "WpSave"                => "Wegpunkte speichern",
    "WpSaved"               => "Wegpunkte in gespeichert",
    "WpDelete"              => "Wegpunkt lschen",
    "WpDeleted"             => "Wegpunkt gelscht",
    "WpAllDeleteAndSend"    => "Alle Wegpunkte lschen und senden",
    "WpAllDeleted"          => "Alle Wegpunkte gelscht",
    "WpFlyImmediately"      => "Ziel sofort anfliegen",
    "Abort"                 => "Abbruch",
    "RestartRequired"       => "*) Aenderungen werden erst nach Programm-Neustart wirksam!",
    "KmlLoadAndPlay"        => "KML Datei laden",
    "KmlLoad"               => "KML laden",
    "KmlLoaded"             => "KML geladen",
    "PoiMoved"              => "POI verschoben",

    # MK System Meldungen
    "MsgNoSatReception"     => "Kein SAT Empfang",
    "MsgWeakSatReception"   => "Schwacher SAT Empfang",
    "MsgBatWarning"         => "Akku Warnung",
    "MsgNoData"             => "Kein Daten-Link",
    "MsgRangeLimit"         => "Reichweiten Warnung",
    "MsgRcWarning"          => "RC Reichweiten Warnung",
    "MsgRcError"            => "Kein RC Empfang",
    "MsgMotorOff"           => "Motor ist aus",
    "MsgNotFlying",         => "MK ist am Boden",
    "MsgCalibrate",         => "Kalibrierung",
    "MsgStart"              => "Motor start ...",
    "MsgEmergencyLanding"   => "Notlandung",  
    "MsgOutsideBorder",     => "MK ausserhalb Flugfeld", 
    "MsgCrossingBorder",    => "Mk kreuzt Flugfeldbegrenzung", 

    # TTS
    "TtsBattery"            => "Batterie, %d komma %d Volt",
    "TtsFlightTimeMinSec"   => "Flugzeit, %d Minuten, %d Sekunden",
    "TtsFlightTimeSec"      => "Flugzeit, %d Sekunden",
    "TtsAltitude"           => "Hhe, %d Meter",
    "TtsAltitudeNegative"   => "Hhe, Minus %d Meter",
    "TtsSatellite"          => "Sattelliten, %d",
    "TtsBatteryWarning"     => "Niedrige, Batterie Spannung",
    "TtsRcWeak"             => "schwacher, RC Empfang",
    "TtsRcNo"               => "Kein, RC Empfang",
    "TtsCrossingBorder"     => "Kreuzt, Flug feld Begrenzung",
    "TtsOutsideAirfield"    => "Ausserhalb, Flug feld",
    "TtsRange"              => "Reichweiten Warnung",
    "TtsNoDataLink"         => "Kein, Daten Link",
    "TtsNextTarget"         => "Fliege zum nchsten Ziel",
    "TtsTargetReached"      => "Ziel erreicht",
    "TtsFun"                => "Huiiii, das macht Spass!",
    );


%Translate_EN = (
    # NC Debug
    "Analog_00"      => "Angel Nick",
    "Analog_01"      => "Angel Roll",
    "Analog_02"      => "ACC Nick",
    "Analog_03"      => "ACC Roll",
    "Analog_05"      => "MK-Flags",
    "Analog_06"      => "NC-Flags",
    "Analog_09"      => "GPS Data",
    "Analog_10"      => "Compass Heading",
    "Analog_11"      => "Gyro Heading",
    "Analog_12"      => "SPI Error",
    "Analog_13"      => "SPI OK",
    "Analog_14"      => "I2C Error",
    "Analog_15"      => "I2C OK",
    "Analog_16"      => "FC Kalman K",
    "Analog_17"      => "ACC Speed North",
    "Analog_18"      => "ACC Speed East",
    "Analog_19"      => "GPS ACC",
    "Analog_20"      => "Max Drift",
    "Analog_21"      => "Speed North",
    "Analog_22"      => "Speed East",
    "Analog_23"      => "P-Part",
    "Analog_24"      => "I-Part",
    "Analog_25"      => "D-Part",
    "Analog_26"      => "PID-Part",
    "Analog_27"      => "Distance North",
    "Analog_28"      => "Distance East",
    "Analog_29"      => "GPS Nick",
    "Analog_30"      => "GPS Roll",
    "Analog_31"      => "Satellite Receive",
   
    # NC OSD
    "Altimeter"             => "Altitude (air)",
    "AngleNick"             => "Nick angle",
    "AngleRoll"             => "Roll angle",
    "CompassHeading"        => "Compass Heading",
    "CurPos_Alt"            => "Position Hhe",
    "CurPos_Lat"            => "Position Latitude",
    "CurPos_Lon"            => "Position Longitude",
    "CurPos_Stat"           => "Position Status",
    "Errorcode"             => "Error Code",
    "FlyingTime"            => "Flying time",
    "GroundSpeed"           => "Ground speed",
    "Heading"               => "Heading",
    "HomePosDev_Bearing"    => "Homeposition Bearing",
    "HomePosDev_Dist"       => "Homeposition Distance",
    "HomePos_Alt"           => "Homeposition Altitude",
    "HomePos_Lat"           => "Homeposition Latitude",
    "HomePos_Lon"           => "Homeposition Longitude",
    "HomePos_Stat"          => "Homeposition Status",
    "MKFlags"               => "MK Flags",
    "NCFlags"               => "NC Flags",
    "OperatingRadius"       => "Operating Radius",
    "RC_Quality"            => "RC Signal quality",
    "SatsInUse"             => "Satellites in use",
    "TargetHoldTime"        => "Target hold time",
    "TargetPosDev_Bearing"  => "Target Richtung",
    "TargetPosDev_Dist"     => "Target Distance",
    "TargetPos_Alt"         => "Target Altitude",
    "TargetPos_Lat"         => "Target Latitude",
    "TargetPos_Lon"         => "Target Longitude",
    "TargetPos_Stat"        => "Target Status",
    "TopSpeed"              => "Vertical Speed",
    "UBat"                  => "Battery Voltage",
    "Variometer"            => "Variometer",
    "WaypointIndex"         => "Waypoint Index",
    "WaypointNumber"        => "Waypoint Number",
    "_Timestamp"            => "_Timestamp",

    # NC Target
    "EventFlag"             => "Event Flag",
    "Richtung"              => "Direction",
    "HoldTime"              => "Hold Time",
    "Pos_Alt"               => "Position Altitude",
    "Pos_Lat"               => "Position Latitude",
    "Pos_Lon"               => "Position Longitude",
    "Pos_Stat"              => "Position Status",
    "ToleranceRadius"       => "Tolerance Radius",

    # Configuration
    "geserver"              => "Google Earth Server",
    "logging"               => "Logging",
    "map"                   => "Map",
    "mkcockpit"             => "Mission Cockpit",
    "mkcomm"                => "MK Communication",
    "Port"                  => "Port *",
    "PortSetSkip"           => "Don't set Port Parameter (Y for BT) *",
    "track"                 => "Tracking Antenna",
    "waypoint"              => "Waypoint",
    "HttpPort"              => "HTTP Port *",
    "CsvLogDir"             => "CSV Log directory *",
    "GpxLogDir"             => "GPX Log directory *",
    "KmlLogDir"             => "KML Log directory *",
    "MapDefault"            => "Map default Background image *",
    "MapDir"                => "Map Directory *",
    "Active"                => "Active *",
    "AltFactor"             => "Altitude factor (air) in Meter",
    "DefaultEventFlag"      => "Default Event-Flag",
    "DefaultHeading"        => "Default Heading",
    "DefaultHoldtime"       => "Default Holdtime",
    "DefaultToleranceRadius"=> "Default Tolerance Radius",
    "WpDir"                 => "Waypoint directory *",
    "ColorAirfield"         => "Color Airfield boundary *",
    "ColorHomeDist"         => "Color Text Distance Home *",
    "ColorHomeLine"         => "Color Line Distance Home *",
    "ColorKmlTrack"         => "Color KML Track",
    "ColorMkSatGood"        => "Color MK good Sat reception",
    "ColorMkSatLow"         => "Color MK weak Sat reception",
    "ColorMkSatNo"          => "Color MK no Sat reception",
    "ColorOsd"              => "Color OSD *",
    "ColorSpeedVector"      => "Color Speed-Vector *",
    "ColorTargetDist"       => "Color Text Target distance *",
    "ColorTargetLine"       => "Color Linie Target distance *",
    "ColorVariometer"       => "Color Variometer Scale *",
    "ColorVariometerPointer"=> "Color Variometer pointer *",
    "ColorWpConnector"      => "Color Waypoint connector",
    "ColorWpResend"         => "Color Wp-Conn. changed",
    "ColorWpNumber"         => "Color Waypoint Number",
    "ColorFootprint"        => "Color Footprint",
    "FootprintLength"       => "Lnge Footprint (in s)",
    "IconFox"               => "Icon Fox *",
    "IconHeartLarge"        => "Icon Heartbeat large *",
    "IconHeartSmall"        => "Icon Heartbeat small *",
    "IconSatellite"         => "Icon Satellite *",
    "IconTarget"            => "Icon Target *",
    "IconWaypoint"          => "Icon Waypoint *",
    "Intervall"             => "Interval (in s) *", 
    "UBatWarning"           => "Battery Warning (in V) ",
    "IconFirst"             => "Icon first WP *",
    "IconHome"              => "Icon Home *",
    "IconLast"              => "Icon last WP *",
    "IconNext"              => "Icon next WP *",
    "IconPause"             => "Icon Pause *",
    "IconPlay"              => "Icon Play *",
    "IconPrev"              => "Icon previous WP *",
    "IconStop"              => "Icon Stop WP-Player *",
    "KmlDir"                => "Directory KML-Files *",
    "KmlTimeBase"           => "KML Player Timebase (s) *",
    "PauseMoveDist"         => "Pause Move Distance (m) *",
    "tts"                   => "Text To Speech",
    "StartScenario"         => "Start Scenario",
    "KmlFile"               => "KML Filename *",  
    "WpFile"                => "Waypoint Filename *",  
    "PlayerMode"            => "Player Mode (Play, Pause, Home, Stop) *",
    "PlayerRandomMode"      => "Random Mode (STD, RND, MAP) *",
    "PlayerWptKmlMode"      => "Event- or time controlled (WPT, KML) *",
    "AudioMute"             => "Mute Audio (y/n) *",
    "ServoPanCtrl"          => "Servo Pan Control *",
    "ServoTiltCtrl"         => "Servo Tilt Control *",
    "ServoPanSpeed"         => "Servo Pan Speed *",
    "ServoTiltSpeed"        => "Servo Tilt Speed *",
    "ServoPanNeutral"       => "Servo Pan Neutral *",
    "ServoTiltNeutral"      => "Servo Tilt Neutral *",
    "IconAntenna"           => "Icon Antenna *",
    "mksim"                 => "Simulator",
    "ImageSize"             => "Image Size",

    # Waypoint
    "MapX"                  => "X-Position on the map",
    "MapY"                  => "Y-Position on the map",
    "Event_Flag"            => "Event Flag",
    "Holdtime"              => "Waiting time at Waypoint",

    # GUI (MkCockpit.pl)
    "File"                  => "~File",
    "Preferences"           => "Preferences",
    "Exit"                  => "E~xit",
    "Debug"                 => "D~ebug",
    "NcOsdDataset"          => "NC ~OSD Record (O)",
    "NcTargetDataset"       => "NC ~Target Record (s)",
    "NcDebugDataset"        => "NC ~Debug Record (D)",
    "NcOther"               => "NC ~Other",
    "TrackingDebugDataset"  => "Tracking ~Antenna Debug Record",
    "Help"                  => "~Help",
    "Version"               => "Version",
    "About"                 => "About",
    "AboutMissionCockpit"   => "About Mission Cockpit",
    "StatusLine"            => "Status line",
    "Map"                   => "Map",
    "MapDebugDataset"       => "Map Record",
    "MkDebugSim"            => "MK Simulator",

    "Balloon-MK-Arrow"               => "MikroKopter",
    "Balloon-MK-Home-Line"           => "This way to Home",
    "Balloon-MK-Home-Dist"           => "Distance to Home",
    "Balloon-MK-Target-Line"         => "This way to the Target",
    "Balloon-MK-Target-Dist"         => "Distance to Target",
    "Balloon-MK-Speed"               => "Speed vector",
    "Balloon-Map-Variometer"         => "Variometer",
    "Balloon-Map-Variometer-Pointer" => "Variometer",
    "Balloon-Map-Variometer-Skala"   => "Variometer",
    "Balloon-Fox"                    => "Target for Fox hunting",
    "Balloon-Heartbeat"              => "MK data activity",
    "Balloon-Satellite"              => "Good satellite reception",
    "Balloon-Waypoint"               => "Waypoint",
    "Balloon-Map-Border"             => "Airfield",
    "Balloon-Waypoint-Connector"     => "Waypoint connector",
    "Balloon-Wp-PlayPause"           => "Play/Pause (Space)",
    "Balloon-Wp-Stop"                => "Stop Player(s)",
    "Balloon-Wp-First"               => "Go to 1st Waypoint (f)",
    "Balloon-Wp-Last"                => "Go to last Waypoint (l)",
    "Balloon-Wp-Next"                => "Go to next Waypoint (n)",
    "Balloon-Wp-Prev"                => "Go to previous Waypoint (p)",
    "Balloon-Wp-Home"                => "Coming Home (h)",
    "Balloon-Wp-WptKml"              => "Waypoint or KML Mode (w,k)",
    "Balloon-Wp-WptRandom"           => "Random Mode (r)",    
    "Balloon-Wp-Record"              => "Record (a)",
    "Balloon-TrackAntenna"           => "Tracking Antenna",
    "Balloon-Poi"                    => "Point Of Interest",

    "TargetCoordSent"       => "Target coordinates sent",
    "WpMoved"               => "Waypoint moved",
    "WpAddAndSend"          => "Add and send Waypoint",
    "WpSavedAndSent"        => "Waypoint saved and sent",
    "WpProperties"          => "Waypoint preferneces",
    "WpResendAll"           => "Resend all Wayoints",
    "WpAllSent"             => "All Waypoints sent",
    "WpLoadAndSend"         => "Load and send Waypoints",
    "WpLoad"                => "Load Waypoints",
    "WpLoadedAndSent"       => "Waypoints loaded and sent",
    "WpSave"                => "Save Waypoints",
    "WpSaved"               => "Waypoints saved",
    "WpDelete"              => "Delete Waypoint",
    "WpDeleted"             => "Waypoint deleted",
    "WpAllDeleteAndSend"    => "Delete and send all Waypoints",
    "WpAllDeleted"          => "All Waypoints deleted",
    "WpFlyImmediately"      => "Fly immediately to Target",
    "Abort"                 => "Abort",
    "RestartRequired"       => "*) Restart of Program required!",
    "KmlLoadAndPlay"        => "Load KML file",
    "KmlLoad"               => "KML load",
    "KmlLoaded"             => "KML file loaded",
    "PoiMoved"              => "POI moved",

    # MK System Messages
    "MsgNoSatReception"     => "No SAT Reception",
    "MsgWeakSatReception"   => "Weak SAT Reception",
    "MsgBatWarning"         => "Battery Warning",
    "MsgNoData"             => "No Data-Link",
    "MsgRangeLimit"         => "Range Limit Warning",
    "MsgRcWarning"          => "RC Warning",
    "MsgRcError"            => "No RC Reception",
    "MsgMotorOff"           => "Engine is OFF",
    "MsgNotFlying",         => "MK on Ground",
    "MsgCalibrate",         => "Calibration",
    "MsgStart"              => "STart Engines ...",
    "MsgEmergencyLanding"   => "Emergency Landing",  
    "MsgOutsideBorder",     => "MK outside Airfield", 
    "MsgCrossingBorder",    => "Mk crossing Airfield Border", 

    # TTS
    "TtsBattery"            => "Battery, %d dot %d Volt",
    "TtsFlightTimeMinSec"   => "Flight Time, %d Minutes, %d Seconds",
    "TtsFlightTimeSec"      => "Flight Time, %d Seconds",
    "TtsAltitude"           => "Altitude, %d Meter",
    "TtsAltitudeNegative"   => "Altitude, Minus %d Meter",
    "TtsSatellite"          => "Satellite, %d",
    "TtsBatteryWarning"     => "Batterie, Warning",
    "TtsRcWeak"             => "weak, Remote Control Reception",
    "TtsRcNo"               => "No, Remote Control Reception",
    "TtsCrossingBorder"     => "Crossing, Airfield, Border",
    "TtsOutsideAirfield"    => "Outside, Airfield",
    "TtsRange"              => "Range Warning",
    "TtsNoDataLink"         => "No Data Link",
    "TtsNextTarget"         => "Fly to next Target",
    "TtsTargetReached"      => "Target reached",
    "TtsFun"                => "yes, this is fun!",
    );


# automatic language selection according to LOCALE setting
my $Lang = Win32::Locale::get_language();
if ( $Lang =~ /de/i )
    {
    %Translate = %Translate_DE;
    }
else
    {
    %Translate = %Translate_EN;
    }

1;

__END__
